package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class B17 {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "订单号")
    private String orderId;
    @JSONField(name = "预订日期")
    private String preOrderDate;
    @JSONField(name = "预订人")
    private String preOrderPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "单元号")
    private String unitId;
    @JSONField(name = "入住日期")
    private String checkInDate;
    @JSONField(name = "入住城市")
    private String checkInCity;
    @JSONField(name = "酒店名称")
    private String hotelName;
    @JSONField(name = "间夜")
    private int nightNumber;
    @JSONField(name = "企业结算金额")
    private BigDecimal settlementAmount;
    @JSONField(name = "平台")
    private String part;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public B17() {
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    @Override
    public String toString() {
        return "B17{" +
                "id='" + id + '\'' +
                ", orderId='" + orderId + '\'' +
                ", preOrderDate='" + preOrderDate + '\'' +
                ", preOrderPerson='" + preOrderPerson + '\'' +
                ", unitId='" + unitId + '\'' +
                ", checkInDate='" + checkInDate + '\'' +
                ", checkInCity='" + checkInCity + '\'' +
                ", hotelName='" + hotelName + '\'' +
                ", nightNumber=" + nightNumber +
                ", settlementAmount=" + settlementAmount +
                ", part='" + part + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPreOrderDate() {
        return preOrderDate;
    }

    public void setPreOrderDate(String preOrderDate) {
        this.preOrderDate = preOrderDate;
    }

    public String getPreOrderPerson() {
        return preOrderPerson;
    }

    public void setPreOrderPerson(String preOrderPerson) {
        this.preOrderPerson = preOrderPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getCheckInDate() {
        return checkInDate;
    }

    public void setCheckInDate(String checkInDate) {
        this.checkInDate = checkInDate;
    }

    public String getCheckInCity() {
        return checkInCity;
    }

    public void setCheckInCity(String checkInCity) {
        this.checkInCity = checkInCity;
    }

    public String getHotelName() {
        return hotelName;
    }

    public void setHotelName(String hotelName) {
        this.hotelName = hotelName;
    }

    public int getNightNumber() {
        return nightNumber;
    }

    public void setNightNumber(int nightNumber) {
        this.nightNumber = nightNumber;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
